×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Mar 2005
    Posts
    9

    Java app won't run

    Hello all,
    I've written a simple java app and downloaded it to my Nokia 6100 but when I go to open the app all the menu options are greyed out and all I can do is delete the app. I have also installed some sample apps from sun's wireless toolkit and the same thing happens. I'm just wondering if there is something i'm forgetting to set on the phone. I have signed the app aswell with a current certificate so don't think it is that. Thanks in advance

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Israel
    Posts
    2,280
    It's not necesary to sign the application. My guess is that you are using one of the latest versions of the WTK, and they compile applications for MIDP 2.0 by default (you can confirm this by looking at the Microedition-Platform property in the jad file). The 6100 is a MIDP 1.0 phone.

    shmoove

  3. #3
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429
    hi,

    please make sure that you have downloaded the Jar file to your mobile.
    I would like to know how you have downloaded it to ur mobile.
    If you have done with your PC suite; Jar file would be located under ur applications menu.
    As shmoove said please check the JAD/MF entries like MIDP ver and CLDC ver etc..
    they should be MIDP 1.0, CLDC 1.0 for NK 6100..

    regards
    Gopal

  4. #4
    Registered User
    Join Date
    Mar 2005
    Posts
    9
    Yeah I downloaded it using PC suite and there is an entry in the applications menu but Delete is the only option I can select. You are right about the version, my jad file has the following entries:
    MIDlet-Version: 1.0
    MicroEdition-Configuration: CLDC-1.0
    MicroEdition-Profile: MIDP-2.0

    So that must be the problem, a new phone might be required. Thanks a lot for your help

  5. #5
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429
    hi...

    If ur app will work on MIDP 1.0 then all you need is to change the MicroEdition-Profile: to MIDP-1.0
    IMHO no need to go for a new mobile....
    If ur app does not work on MIDP 1.0 then u have to buy a new mobile that supports MIDP 2.0

    regards
    Gopal

  6. #6
    Registered User
    Join Date
    Mar 2005
    Posts
    9
    I've tried to change the version but the app won't even compile so I think i'll have to go for the second option

  7. #7
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429
    Please dont go blindly to buy a new mob if the app is not compiling.....(Just my views )
    Please check wht are the errors comming...and try to find out if you could solve it out or not. If its of MIDP 2.0 specific errors...then u have to go for a new mob!
    Also check the entries in MF also....

    regards
    Gopal

  8. #8
    Registered User
    Join Date
    Mar 2005
    Posts
    9
    They are definitely MIDP 2.0 specific errors, my app sends messages and classes such as MessageConnection, BinaryMessage, TextMessage etc are not supported in MIDP 1.0

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×